# Uses of Class
org.apache.sysds.runtime.instructions.spark.data.PartitionedBroadcast

Packages that use PartitionedBroadcast
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.data
org.apache.sysds.runtime.instructions.spark.functions

## Uses of PartitionedBroadcast in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return PartitionedBroadcast
Modifier and Type
Method
Description
`PartitionedBroadcast<FrameBlock>`
SparkExecutionContext.`getBroadcastForFrameVariable(String varname)`
`PartitionedBroadcast<MatrixBlock>`
SparkExecutionContext.`getBroadcastForMatrixObject(MatrixObject mo)`
`PartitionedBroadcast<TensorBlock>`
SparkExecutionContext.`getBroadcastForTensorObject(TensorObject to)`
`PartitionedBroadcast<TensorBlock>`
SparkExecutionContext.`getBroadcastForTensorVariable(String varname)`
`PartitionedBroadcast<MatrixBlock>`
SparkExecutionContext.`getBroadcastForVariable(String varname)`

## Uses of PartitionedBroadcast in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark with parameters of type PartitionedBroadcast
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock>`
FrameAppendMSPInstruction.`appendFrameMSP(org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> in1, PartitionedBroadcast<FrameBlock> in2)`
Constructors in org.apache.sysds.runtime.instructions.spark with parameters of type PartitionedBroadcast
Modifier
Constructor
Description
``
`RDDContainsVectFunction(PartitionedBroadcast<MatrixBlock> bc, int blocksize)`
``
`RDDMapGroupedAggFunction(PartitionedBroadcast<MatrixBlock> pbm, Operator op, int ngroups, int blen)`
``
`RDDMapGroupedAggFunction2(PartitionedBroadcast<MatrixBlock> pbm, Operator op, int ngroups)`
``
`RDDRemoveEmptyFunctionInMem(boolean rmRows, long len, long blen, PartitionedBroadcast<MatrixBlock> off)`

## Uses of PartitionedBroadcast in org.apache.sysds.runtime.instructions.spark.data

Methods in org.apache.sysds.runtime.instructions.spark.data that return PartitionedBroadcast
Modifier and Type
Method
Description
`PartitionedBroadcast`
BroadcastObject.`getPartitionedBroadcast()`
Methods in org.apache.sysds.runtime.instructions.spark.data with parameters of type PartitionedBroadcast
Modifier and Type
Method
Description
`void`
BroadcastObject.`setPartitionedBroadcast(PartitionedBroadcast<T> bvar, long size)`

## Uses of PartitionedBroadcast in org.apache.sysds.runtime.instructions.spark.functions

Constructors in org.apache.sysds.runtime.instructions.spark.functions with parameters of type PartitionedBroadcast
Modifier
Constructor
Description
``
`ExtractGroupBroadcast(PartitionedBroadcast<MatrixBlock> pbm, long blen, long ngroups, Operator op)`
``
`MatrixVectorBinaryOpPartitionFunction(BinaryOperator op, PartitionedBroadcast<MatrixBlock> binput, BinaryM.VectorType vtype)`
``
`OuterVectorBinaryOpFunction(BinaryOperator op, PartitionedBroadcast<MatrixBlock> binput)`
``
`TensorTensorBinaryOpPartitionFunction(BinaryOperator op, PartitionedBroadcast<TensorBlock> binput, boolean[] replicateDim)`